# Standard_Macro.hxx File Reference

## Defines

#define | Handle(ClassName) Handle_##ClassName
#define | STANDARD_TYPE(aType) aType##_Type_()
#define | Standard_EXPORTEXTERN extern
#define | Standard_EXPORTEXTERNC extern "C"
#define | Standard_IMPORT extern
#define | Standard_IMPORTC extern "C"
#define | __Standard_API Standard_EXPORT
#define | __Standard_APIEXTERN Standard_EXPORTEXTERN

## Define Documentation

#define __Standard_API Standard_EXPORT

#define __Standard_APIEXTERN Standard_EXPORTEXTERN

#define Handle | ( | ClassName |  | ) | Handle_##ClassName

#define Standard_EXPORTEXTERN extern

#define Standard_EXPORTEXTERNC extern "C"

#define Standard_IMPORT extern

#define Standard_IMPORTC extern "C"

#define STANDARD_TYPE | ( | aType |  | ) | aType##_Type_()